/* Pour le bouton du clear/dark mode*/


:root {
    
    --couleur-back: #f1f1f1;
    --couleur-front: #262626;
    /* --ecriture: #262626;
    --background: #f1f1f1; */
    --ecriture: var(--couleur-front);
    --background: var(--couleur-back);
   
  
}

body{
  background: var(--background);
  color: var(--ecriture);
}
/* voici la partie qui s'occupe de régler la taille de l'image de la carte back*/
.screen img{

  height: 100%;
  width: 100%;
  display: flex;
}





/* {
	margin-top:-255px;
	margin-bottom:5px;
 width: 500px;
}  */





/* Le design du bouton*/

  .checkbox-wrapper-54 input[type="checkbox"] {
    visibility: hidden;
    display: none;
  }

  .checkbox-wrapper-54 *,
  .checkbox-wrapper-54 ::after,
  .checkbox-wrapper-54 ::before {
    box-sizing: border-box;
  }

  /* The switch - the box around the slider */
  .checkbox-wrapper-54 .switch {
    --width-of-switch: 3.5em;
    --height-of-switch: 2em;
    /* size of sliding icon -- sun and moon */
    --size-of-icon: 1.4em;
    /* it is like a inline-padding of switch */
    --slider-offset: 0.3em;
    position: relative;
    width: var(--width-of-switch);
    height: var(--height-of-switch);
    display: inline-block;
  }

  /* The slider */
  .checkbox-wrapper-54 .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #f4f4f5;
    transition: .4s;
    border-radius: 30px;
  }

  .checkbox-wrapper-54 .slider:before {
    position: absolute;
    content: "";
    height: var(--size-of-icon,1.4em);
    width: var(--size-of-icon,1.4em);
    border-radius: 20px;
    left: var(--slider-offset,0.3em);
    top: 50%;
    transform: translateY(-50%);
    background: linear-gradient(40deg,#ff0080,#ff8c00 70%);
    ;
   transition: .4s;
  }

  .checkbox-wrapper-54 input:checked + .slider {
    background-color: #303136;
  }

  .checkbox-wrapper-54 input:checked + .slider:before {
    left: calc(100% - (var(--size-of-icon,1.4em) + var(--slider-offset,0.3em)));
    background: #303136;
    /* change the value of second inset in box-shadow to change the angle and direction of the moon  */
    box-shadow: inset -3px -2px 5px -2px #8983f7, inset -10px -4px 0 0 #a3dafb;
  }




/* Ici commence la carte*/

  .scene {
    display: inline-block;
    width: 500px;
    height: 520px;
  /*   border: 1px solid #CCC; */
    margin: 40px 0;
    perspective: 600px;
    color: var(--background);
  }
  
  .card {
    position: relative;
    width: 100%;
    height: 100%;
    cursor: pointer;
    transform-style: preserve-3d;
    transform-origin: center right;
    transition: transform 1s;
  }
  
  .card.is-flipped {
    transform: translateX(-100%) rotateY(-180deg);
  }
  
  .card__face {
    position: absolute;
    width: 100%;
    height: 100%;
    line-height: 260px;
    /* color: white; */
    text-align: center;
    font-weight: bold;
    font-size: 40px;
    backface-visibility: hidden;
  }
  
  .card__face--front {
    background-color: var(--ecriture);
    /* background:  black;  */
  }
  
  .card__face--back {
    /* background: black; */
    background-color: var(--ecriture);
    transform: rotateY(180deg);
  }

